svn_cat
svn_cleanup
SVN Functions
PHP Manual

# svn_checkout

(PECL svn >= 0.1.0)

svn_checkout — Checks out a working copy from the repository

### Description

bool svn_checkout ( string `$repos` , string `$targetpath` [, int `$revision` [, int `$flags` = 0 ]] )

Checks out a working copy from the repository at `repos` to `targetpath` at revision `revision`.

### Parameters

`repos`

  String URL path to directory in repository to check out.

`targetpath`

  String local path to directory to check out in to

  > Note: Relative paths will be resolved as if the current working directory was the one that contains the PHP binary. To use the calling script's working directory, use realpath() or dirname(__FILE__).

`revision`

  Integer revision number of repository to check out. Default is HEAD, the most recent revision.

`flags`

  Any combination of `SVN_NON_RECURSIVE` and `SVN_IGNORE_EXTERNALS`.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Notes

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Examples

Example #1 Basic example

This example demonstrates how to check out a directory from a repository to a directory named calc:

`<?php
svn_checkout('http://www.example.com/svnroot/calc/trunk', dirname(__FILE__) . '/calc');
?>`

The dirname(__FILE__) call is necessary in order to convert the calc relative path into an absolute one. If calc exists, you can also use realpath() to retrieve an absolute path.

### See Also

- svn_add() - Schedules the addition of an item in a working directory
- svn_commit() - Sends changes from the local working copy to the repository
- svn_status() - Returns the status of working copy files and directories
- svn_update() - Update working copy
- » SVN documentation on svn checkout

svn_cat
svn_cleanup
SVN Functions
PHP Manual